Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class PKIXCertPath

    java.lang.Object
      |
      +--java.security.cert.CertPath
            |
            +--org.bouncycastle.jce.provider.PKIXCertPath

All Implemented Interfaces:
  java.io.Serializable

public class PKIXCertPath
extends CertPath

CertPath implementation for X.509 certificates.
TODO: add PKCS #7 encoding support

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.security.cert.CertPath
`CertPath.CertPathRep`

Method Summary
`List` | `getCertificates()` Returns the list of certificates in this certification path.
`byte[]` | `getEncoded()` Returns the encoded form of this certification path, using the default encoding.
`byte[]` | `getEncoded(java.lang.String encoding)` Returns the encoded form of this certification path, using the specified encoding.
`Iterator` | `getEncodings()` Returns an iteration of the encodings supported by this certification path, with the default encoding first.

Methods inherited from class java.security.cert.CertPath
`equals, getType, hashCode, toString, writeReplace`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### getEncodings

    public Iterator getEncodings()

  Returns an iteration of the encodings supported by this certification path, with the default encoding first. Attempts to modify the returned Iterator via its remove method result in an UnsupportedOperationException.

  Specified by:
    `getEncodings` in class `CertPath`
  Returns:
    an Iterator over the names of the supported encodings (as Strings)

### getEncoded

    public byte[] getEncoded()
                      throws CertificateEncodingException

  Returns the encoded form of this certification path, using the default encoding.

  Specified by:
    `getEncoded` in class `CertPath`
  Returns:
    the encoded bytes
  Throws:
    `CertificateEncodingException` - if an encoding error occurs

### getEncoded

    public byte[] getEncoded(java.lang.String encoding)
                      throws CertificateEncodingException

  Returns the encoded form of this certification path, using the specified encoding. TODO: implement PKCS7 decoding

  Specified by:
    `getEncoded` in class `CertPath`
  Parameters:
    `encoding` - the name of the encoding to use
  Returns:
    the encoded bytes
  Throws:
    `CertificateEncodingException` - if an encoding error occurs or the encoding requested is not supported

### getCertificates

    public List getCertificates()

  Returns the list of certificates in this certification path. The List returned must be immutable and thread-safe. TODO: return immutable List

  Specified by:
    `getCertificates` in class `CertPath`
  Returns:
    an immutable List of Certificates (may be empty, but not null)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD